Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui
Class InstanceManagerBean.InstanceAuthorizationBean

    java.lang.Object
      org.jboss.portal.core.admin.ui.AuthorizationBean
          org.jboss.portal.core.admin.ui.InstanceManagerBean.InstanceAuthorizationBean

Enclosing class:
  InstanceManagerBean

    public class InstanceManagerBean.InstanceAuthorizationBean

extends AuthorizationBean

Constructor Summary
`InstanceManagerBean.InstanceAuthorizationBean()`

Method Summary
`java.lang.String` | `cancel()`
`javax.faces.model.SelectItem[]` | `getAvailableActions()`
`DomainConfigurator` | `getDomainConfigurator()`
`org.jboss.portal.identity.RoleModule` | `getRoleModule()`
`protected java.lang.String` | `getURI()`
`java.lang.String` | `submit()`

Methods inherited from class org.jboss.portal.core.admin.ui.AuthorizationBean
`getActionsForRole, getForRole, getRoleDisplayNameMap, getRoles, setActionsForRole`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstanceManagerBean.InstanceAuthorizationBean

    public InstanceManagerBean.InstanceAuthorizationBean()

Method Detail

### getDomainConfigurator

    public DomainConfigurator getDomainConfigurator()

  Specified by:
    `getDomainConfigurator` in class `AuthorizationBean`

### getURI

    protected java.lang.String getURI()

  Specified by:
    `getURI` in class `AuthorizationBean`

### submit

    public java.lang.String submit()

  Specified by:
    `submit` in class `AuthorizationBean`

### cancel

    public java.lang.String cancel()

  Specified by:
    `cancel` in class `AuthorizationBean`

### getRoleModule

    public org.jboss.portal.identity.RoleModule getRoleModule()

  Specified by:
    `getRoleModule` in class `AuthorizationBean`

### getAvailableActions

    public javax.faces.model.SelectItem[] getAvailableActions()

  Specified by:
    `getAvailableActions` in class `AuthorizationBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD